---
title: "Brands"
url: "https://developer.migros.ch/apis/brands-8/versions/ceb1fa7b-4cb2-42e5-903c-4b0a18865ceb"
---

# Brands

OpenAPI specification document.

```json
{"components":{"responses":{"400":{"description":"If the request parameters are invalid."},"404":{"description":"Returned when the requested resource could not be not found."}},"schemas":{"Brand":{"description":"Represents the Brand information.","properties":{"class_id":{"description":"Brand class code.","nullable":true,"type":"string"},"class_type":{"description":"Brand class type.","nullable":true,"type":"string"},"description":{"description":"The long description of the brand (can contain HTML).","nullable":true,"type":"string"},"id":{"type":"string"},"image":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/Image"}]},"links":{"additionalProperties":{"$ref":"#/components/schemas/Link"},"description":"Collection of links indexed by string identifier.","type":"object"},"name":{"nullable":true,"type":"string"},"parent_brand":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/PartialBrand"}]},"position_for_product_title":{"description":"Indicates placement of the short name brand in product title","nullable":true,"type":"string"},"short_name_for_product_title":{"description":"Shorter variant of the brand for product title","nullable":true,"type":"string"},"slug":{"description":"Unique user-friendly ID.","type":"string"},"sub_brand":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/PartialBrand"}]}},"required":["id","name","slug"],"type":"object"},"BrandCollection":{"description":"A collection of brand instances.","properties":{"brands":{"items":{"$ref":"#/components/schemas/Brand"},"type":"array"},"total_hits":{"description":"The total hits may exceed the actual count of results in the collection.\n\nIt represents the total number of results of a search and not only the\npotentially paginated subset.","nullable":true,"type":"integer"}},"required":["brands","total_hits"],"type":"object"},"Image":{"description":"An image and its properties.","properties":{"original":{"description":"Full size image.","type":"string"},"stack":{"description":"Image URL with a placeholder for a Rokka {stack}.","type":"string"}},"type":"object"},"Link":{"properties":{"url":{"description":"URL to a third-party desktop page of the product.","type":"string"}},"type":"object"},"PartialBrand":{"description":"Represents the sub brand and parent brand information.","properties":{"code":{"type":"string"},"name":{"nullable":true,"type":"string"}},"type":"object"}},"securitySchemes":{"Kong-Api-Key":{"description":"Kong key-auth authentication","in":"header","name":"X-Api-Key","type":"apiKey"},"basicAuth":{"scheme":"basic","type":"http"}}},"info":{"contact":{"email":"arg_mgb-udp-products-services@mgb.ch","name":"MGB-UDP-Products-Services"},"description":"Brandinformation. <a href=\"https://wiki.migros.net/display/MAPI/Products\">See Wiki</a>","title":"Brands","version":"8"},"openapi":"3.0.0","paths":{"/migros/products/v8/brands":{"get":{"description":"Returns a paged list of brands and provides search functionality.","operationId":"getBrands","parameters":[{"description":"Maximum number of results (max 2000).","in":"query","name":"limit","required":false,"schema":{"default":10,"maximum":2000,"minimum":0,"type":"integer"}},{"description":"Result set offset.","in":"query","name":"offset","required":false,"schema":{"default":0,"minimum":0,"type":"integer"}},{"description":"The ordering direction.","in":"query","name":"order","schema":{"default":"asc","enum":["asc","desc"],"type":"string"}},{"description":"The sorting criteria.","in":"query","name":"sort","schema":{"default":"id","enum":["id","name"],"type":"string"}},{"description":"A comma separated list or an array of brand ids defining the brands and the order in which the brands should be returned. If the ids parameter is provided all other filtering parameters are ignored.","in":"query","name":"ids","schema":{"type":"string"}},{"description":"The date and time used to only get brands updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00. Default time zone is Swiss time.","in":"query","name":"updated_since","schema":{"type":"string"}},{"description":"The language to be used. Possible values: `de`, `fr`, `it`, `en`. The language may also be set via HTTP header, e.g. `Accept-Language: de` header.","in":"query","name":"lang","required":false,"schema":{"default":"de","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandCollection"}}},"description":"Returned when successful."},"400":{"$ref":"#/components/responses/400"}},"summary":"Returns a paged list of brands and provides search functionality.","tags":["Brands"]}},"/migros/products/v8/brands/{id}":{"get":{"description":"Returns information about a single brand by ID or slug.","operationId":"getBrand","parameters":[{"description":"Resource ID or slug (if available).","in":"path","name":"id","required":true,"schema":{"type":"string"}},{"description":"The language to be used. Possible values: `de`, `fr`, `it`, `en`. The language may also be set via HTTP header, e.g. `Accept-Language: de` header.","in":"query","name":"lang","required":false,"schema":{"default":"de","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}},"description":"Returned when successful."},"404":{"$ref":"#/components/responses/404"}},"summary":"Returns information about a single brand by ID or slug.","tags":["Brands"]}}},"security":[{"Kong-Api-Key":[]},{"basicAuth":[]}],"servers":[{"description":"Public Kong Gateway URL","url":"https://api.migros.ch"}],"tags":[{"name":"Brands"},{"name":"mapi"}],"x-active-from":"01-01-2024","x-company":"migros","x-edm-domain":"products","x-eol":"31-12-2049","x-headmatter":{"readable_by":"*"},"x-kong-route-defaults":{"protocols":["https"],"strip_path":false},"x-kong-service-defaults":{"connect_timeout":5000,"read_timeout":15000,"retries":2,"write_timeout":5000},"x-leanix-id":"350641a5-55a2-4641-8332-76d32846eb56","x-link-get-access":"https://forms.office.com/e/zhzbEqAQ26","x-link-get-support":"https://teams.microsoft.com/l/channel/19%3Aa7851e50d0194268ba0c7a0d7a63403b%40thread.tacv2/2.%20Support%20%F0%9F%92%A1?groupId=58b919a5-7d36-47f3-a77a-03cfd051098a&tenantId=35aa8c5b-ac0a-4b15-9788-ff6dfa22901f"}
```
